Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_ThreadPool_Task Class Reference

Implements a Thread Pool Worker Task. More...

`#include <ThreadPool_Task.h>`

Inheritance diagram for TAO_Notify_ThreadPool_Task:

[legend]
Collaboration diagram for TAO_Notify_ThreadPool_Task:

[legend]
List of all members.

## Public Methods
| TAO_Notify_ThreadPool_Task (void)
| Constuctor.
| ~TAO_Notify_ThreadPool_Task ()
| Destructor.
virtual int | init (int argc, char **argv)
| Call the base class init.
virtual int | close (u_long flags)
virtual void | release (void)
| Release.
void | init (const NotifyExt::ThreadPoolParams &tp_params, TAO_Notify_AdminProperties_var &admin_properties ACE_ENV_ARG_DECL)
| Activate the threadpool.
virtual void | execute (TAO_Notify_Method_Request_No_Copy &method_request ACE_ENV_ARG_DECL)
| Queue the request.
virtual void | shutdown (void)
| Shutdown task.
virtual void | update_qos_properties (const TAO_Notify_QoSProperties &qos_properties)
| Update QoS Properties.
virtual TAO_Notify_Timer * | timer (void)
| The object used by clients to register timers.
TAO_Notify_Buffering_Strategy * | buffering_strategy (void)
| Access the Buffering Strategy.
## Protected Methods
virtual int | svc (void)
| Task svc.
## Private Attributes
TAO_Notify_Buffering_Strategy * | buffering_strategy_
| The buffering strategy to use.
int | shutdown_
| Shutdown.
TAO_Notify_Timer_Queue * | timer_
| The Queue based timer.
## Friends
class | TAO_Notify_Method_Request_Shutdown

## Detailed Description

Implements a Thread Pool Worker Task.

## Constructor & Destructor Documentation

TAO_Notify_ThreadPool_Task::TAO_Notify_ThreadPool_Task | ( | void |  | ) |

| Constuctor.

TAO_Notify_ThreadPool_Task::~TAO_Notify_ThreadPool_Task | ( |  | ) |

| Destructor.

## Member Function Documentation

TAO_Notify_Buffering_Strategy* TAO_Notify_ThreadPool_Task::buffering_strategy | ( | void |  | ) | `[virtual]`

| Access the Buffering Strategy. Implements TAO_Notify_Worker_Task.

int TAO_Notify_ThreadPool_Task::close | ( | u_long | flags | ) | `[virtual]`

| Reimplemented from ACE_Task_Base.

void TAO_Notify_ThreadPool_Task::execute | ( | TAO_Notify_Method_Request_No_Copy &method_request | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Queue the request. Implements TAO_Notify_Worker_Task.

void TAO_Notify_ThreadPool_Task::init | ( | const NotifyExt::ThreadPoolParams & | tp_params,
|  | TAO_Notify_AdminProperties_var &admin_properties | ACE_ENV_ARG_DECL
| ) |

| Activate the threadpool.

int TAO_Notify_ThreadPool_Task::init | ( | int | argc,
|  | char ** | argv
| ) | `[virtual]`

| Call the base class init.

void TAO_Notify_ThreadPool_Task::release | ( | void |  | ) | `[virtual]`

| Release. Implements TAO_Notify_Refcountable.

void TAO_Notify_ThreadPool_Task::shutdown | ( | void |  | ) | `[virtual]`

| Shutdown task. Implements TAO_Notify_Worker_Task.

int TAO_Notify_ThreadPool_Task::svc | ( | void |  | ) | `[protected, virtual]`

| Task svc. Reimplemented from ACE_Task_Base.

TAO_Notify_Timer * TAO_Notify_ThreadPool_Task::timer | ( | void |  | ) | `[virtual]`

| The object used by clients to register timers. Implements TAO_Notify_Worker_Task.

virtual void TAO_Notify_ThreadPool_Task::update_qos_properties | ( | const TAO_Notify_QoSProperties & | qos_properties | ) | `[virtual]`

| Update QoS Properties. Reimplemented from TAO_Notify_Worker_Task.

## Friends And Related Function Documentation

friend class TAO_Notify_Method_Request_Shutdown`[friend]`

## Member Data Documentation

TAO_Notify_Buffering_Strategy* TAO_Notify_ThreadPool_Task::buffering_strategy_`[private]`

| The buffering strategy to use.

int TAO_Notify_ThreadPool_Task::shutdown_`[private]`

| Shutdown.

TAO_Notify_Timer_Queue* TAO_Notify_ThreadPool_Task::timer_`[private]`

| The Queue based timer.

The documentation for this class was generated from the following files:

- ThreadPool_Task.h
- ThreadPool_Task.cpp